@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@100;300;400;700&family=Open+Sans:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');

html {
  height: 100%;
  --brand: #f31646;
  --panel-border-color: rgb(99 117 149 / 15%);
  --panel-background: rgb(8 10 14 / 53%);

  --donator: #7a00ff;
}

body {
  font-family: 'Noto Sans', sans-serif;
  /*background: black url(img/woods.webp) no-repeat fixed center center;*/
  /*background-size: cover;*/
  background-color: #350725;
  color: white;
  height: 100%;
  padding: 0;
  margin: 0;
}

input {
  background: var(--panel-background);
  color: white;
  border: none;
  outline: none;
  padding: 4px;
  border-radius: 5px;
  border: 1px solid var(--panel-border-color);
  text-align: center;
}

#bg-video-container {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  min-width: 100%;
  min-height: 100%;
  z-index: -1;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
}

#bg-video {
  object-fit: cover;
  object-position: center;
}

#content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding-left: 20px;
  padding-right: 20px;
  margin: 0;
  position: relative;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  z-index: 1;
  /* border-top: 2px solid rgb(0, 187, 255); */
  /* border-bottom: 2px solid rgb(0, 187, 255); */
}

h1.main-text {
  font-size: 5rem;
  margin-bottom: 0;
  text-transform: uppercase;
  letter-spacing: 2px;
  margin-top: 10px;
}

h4.sub-text {
  margin-top: 0;
  font-size: 1rem;
  letter-spacing: 4px;
  margin-bottom: 10px;
  text-transform: uppercase;
  font-weight: 300;
}

a.big-link, a.big-link:visited, a.big-link:hover, a.big-link:active {
  border: 2px solid var(--panel-border-color);
  background: var(--panel-background);
  border-radius: 5px;
  transition: all 0.2s ease-in-out;
  outline: none;
  color: white;
  font-size: 1.5rem;
  padding: 1rem 1.5rem;
  backdrop-filter: blur(5px);
  display: inline-flex;
  cursor: pointer;
  text-decoration: none;
  text-transform: uppercase;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 50px;
  width: 240px;
  user-select: none;
}
a.big-link:hover {
  background:rgba(255, 255, 255, 0.1);
}

#ip {
  border: 2px solid var(--panel-border-color);
  background: var(--panel-background);
  border-radius: 5px;
  outline: none;
  padding: 0.5rem 1rem;
  backdrop-filter: blur(5px);
  display: inline-flex;
  margin-bottom: 6px;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.code {
  font-size: 1rem;
  color: var(--brand);
  font-family: 'Courier New', Courier, monospace;
}

.main-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  height: 100%;
}

.main-left {
  font-weight: 100;
  text-shadow: 1px 1px 2px #00000052;
}

.brand {
  color: var(--brand);
  text-shadow: 1px 1px 2px #00000052;
}

.bold {
  font-weight: bold;
}

.chonk {
  font-size: 2rem;
  font-weight: bold;
  text-shadow: 1px 1px 2px #00000052;
}

.userlist {
  margin-top: 20px;
  grid-gap: 10px;
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  align-items: center;
  justify-content: center;
}

.player-list {
  margin-top: 10px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  column-gap: 5px;
  row-gap: 5px;
  font-family: 'Roboto', sans-serif;
}

.player-list-controls {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 10px;
}

.online-game {
  margin-top: 10px;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
}

.icon-button {
  transition: 250ms ease-in;
  cursor: pointer;
  user-select: none;
  border: none;
  outline: none;
  color: inherit;
  background: none;
}
.icon-button:hover {
  color: white;
}

.spacer {
  width: 36px;
}

.player-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 1px solid var(--panel-border-color);
  background: var(--panel-background);
  border-radius: 5px;
  padding: 8px 2px;
  transition: 200ms ease;
  position: relative;
  cursor: pointer;
  user-select: none;
}
.player-container:hover {
  background: rgba(255, 255, 255, 0.1);
}
.player-container.donator {
  border: 1px solid #a656ff52;
}
.player-container.third {
  border: 1px solid #a1553194;
}
.player-container.third .hover-info {
  color: #db662e;
}
.player-container.second {
  border: 1px solid #ffffff59;
}
.player-container.second .hover-info {
  color: #ffffff;
}
.player-container.first {
  border: 1px solid #fff7005e;
}
.player-container.first .hover-info {
  color: #fff700;
}
.player-container.new {
  border: 1px solid #00ff005e;
}

.new-label {
  position: absolute;
  top: -7px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 0.7rem;
  color: #d3ffd3;
}

.hover-info {
  opacity: 0;
  transition: 200ms ease;
  position: absolute;
  inset: 0;
  font-size: 0.7rem;
  padding: 2px;
  display: flex;
  flex-direction: column;
  gap: 2px;
  justify-content: center;
  align-items: center;
  background: #00000044;
  backdrop-filter: blur(5px);
  border-radius: 5px;
  color: white;
}
.player-container:hover .hover-info {
  opacity: 1;
}

.player-name {
  font-size: 0.8rem;
}
.donator .player-name {
  color: var(--donator);
}
.blood-donor {
  color: var(--donator);
}

.last-seen {
  font-size: 0.7rem;
  margin-top: 2px;
}
.playtime {
  font-size: 0.7rem;
}

.admin {
  color: var(--brand);
}

.gap {
  background: var(--panel-border-color);
  width: 2px;
  height: 100%;
}

.score {
  font-size: 0.7rem;
  padding: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-weight: bold;
}

.offline {
  color: rgba(255, 255, 255, 0.5);
}

.ava {
  border-radius: 50%;
  width: 32px;
  height: 32px;
  border: 2px solid var(--brand);
}

.mb {
  margin-bottom: 10px;
}

.mt {
  margin-top: 10px;
}
.mts {
  margin-top: 5px;
}

.ml {
  margin-left: 10px;
}
.mls {
  margin-left: 5px;
}

.mr {
  margin-right: 10px;
}

.online {
  margin-top: 5px;
  font-size: 0.7rem;
  letter-spacing: 3px;
  text-transform: uppercase;
  color: rgba(255, 255, 255, 0.5);
}

#texture {
  background: url(img/texture.png);
  position: absolute;
  inset: 0;
  z-index: 0;
  opacity: 0.2;
}

::-moz-selection {
  color: white;
  background: var(--brand);
}

::selection {
  color: white;
  background: var(--brand);
}

.relative {
  position: relative;
}

.donate-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 20px;
}

.donate-header {
  font-size: 1rem;
  text-transform: uppercase;
  font-weight: bold;
}

.donate-subheader {
  font-size: 0.8rem;
  margin-bottom: 10px;
  opacity: 0.5;
}

.donate-row {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.donate-button {
  outline: none;
  background: transparent;
  background: var(--panel-background);
  border: 2px solid var(--brand);
  width: 80px;
  height: 80px;
  border-radius: 8px;
  padding: 0;
  box-sizing: border-box;
  transition: 200ms ease;
}
.donate-button:hover, .kofi-link:hover {
  background: rgba(255, 255, 255, 0.1);
}
.kofi-link {
  transition: 200ms ease;
}

.liquid {
  position: absolute;
  top: -80px;
  left: 0;
  width: 200px;
  height: 200px;
  background: #540b0c;
  box-shadow: inset 0 0 50px rgba(0, 0, 0, .5);
  transition: .5s;
}

.liquid::after,
.liquid::before {
  content: '';
  width: 200%;
  height: 200%;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%, -75%);
  background: #000;
}

.liquid::before {
  border-radius: 45%;
  background: rgba(20, 20, 20, 1);
  animation: blood 5s linear infinite;
}

.liquid::after {
  border-radius: 40%;
  background: rgba(20, 20, 20, .5);
  animation: blood 10s linear infinite;
}

a:hover .liquid{
  top: -120px;
}

@keyframes blood {
  0% {
    transform: translate(-50%, -75%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -75%) rotate(360deg);
  }
}

.v-enter-active,
.v-leave-active {
  transition: opacity 0.25s ease;
}

.v-enter-from,
.v-leave-to {
  opacity: 0;
}
